Skip to main content

Get fiscal receipt details

GET https://pos.paysera.com/eapi/v1/cash-registers/{number}/receipt/{id}

Retrieve detailed information about a specific fiscal receipt.

A fiscal receipt is a legal document issued by the cash register for sales transactions.

Authorization​

This endpoint requires a Personal Access Token, sent as a Bearer token.

To obtain one, your account needs API permission. Once granted, go to /user/settings in your POS account and create a personal access token.

Authorization Header Format:

Authorization: Bearer YOUR_ACCESS_TOKEN

Example:

Authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9...

For more details, see the Authentication section.

Parameters​

Path Parameters​

NameTypeRequiredDescription
numberstring✓The number of the cash register
idinteger✓The ID of the financial document

Errors​

This endpoint may return the following errors:

400 - Bad Request​

The request was invalid or cannot be served.

401 - Unauthorized​

Unauthorized

This error was produced by providing incorrect credentials.

403 - Forbidden​

Forbidden

This error indicates you don't have permission to access this resource.

404 - Not Found​

Receipt not found

This error indicates the requested resource was not found.

429 - Too Many Requests​

You have exceeded the rate limit. Please try again in a minute.

500 - Internal Server Error​

Internal server error

Example​

Request​

GET https://pos.paysera.com/eapi/v1/cash-registers/{number}/receipt/{id}
Authorization: Bearer YOUR_ACCESS_TOKEN

Response​

{
"id": 100,
"type": "receipt",
"documentNumber": 123,
"receiptNumber": "41/2",
"receiptTime": "2024-11-04T10:15:30Z",
"receiptSignature": "95A7-037B-4F8D-5D69",
"status": "unsynced",
"cashRegisterNumber": "CR-000000001",
"order": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"number": "123456"
},
"positions": [
{
"title": "Product Name",
"quantity": 2,
"measureUnit": "pcs",
"price": {
"unit": {
"regular": "10.99",
"special": "9.99",
"discount": "1.00",
"globalDiscount": "0.50"
},
"total": {
"withoutTax": "18.98",
"tax": "3.99",
"withTax": "22.97"
},
"tax": {
"code": "M1",
"rate": 21,
"classifier": "PVM1"
}
}
}
],
"totals": [
{
"title": "Subtotal",
"type": "subtotal",
"price": "22.97"
}
],
"taxes": [
{
"code": "M1",
"rate": 21,
"classifier": "PVM1",
"total": {
"withoutTax": "18.98",
"tax": "3.99",
"withTax": "22.97"
}
}
],
"payments": [
{
"title": "Cash",
"type": "cash",
"amount": "50.00",
"returnAmount": "27.03",
"currency": "EUR",
"advancePayment": 0
}
],
"payouts": [
{
"title": "Cash",
"type": "cash",
"amount": "10.00",
"currency": "EUR"
}
],
"totalAmount": {
"withoutTax": "18.98",
"tax": "3.99",
"withTax": "22.97"
}
}

AUTHORIZATION: HTTP

REQUEST

Base URL
https://pos.paysera.com

RESPONSE

Successful response
{
"id": 100,
"type": "receipt",
"documentNumber": 123,
"receiptNumber": "41/2",
"receiptTime": "2024-11-04T10:15:30Z",
"receiptSignature": "95A7-037B-4F8D-5D69",
"status": "unsynced",
"cashRegisterNumber": "CR-000000001",
"order": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"number": "123456"
},
"positions": [
{
"title": "Product Name",
"quantity": 2,
"measureUnit": "pcs",
"price": {
"unit": {
"regular": "10.99",
"special": "9.99",
"discount": "1.00",
"globalDiscount": "0.50"
},
"total": {
"withoutTax": "18.98",
"tax": "3.99",
"withTax": "22.97"
},
"tax": {
"code": "M1",
"rate": 21,
"classifier": "PVM1"
}
}
}
],
"totals": [
{
"title": "Subtotal",
"type": "subtotal",
"price": "22.97"
}
],
"taxes": [
{
"code": "M1",
"rate": 21,
"classifier": "PVM1",
"total": {
"withoutTax": "18.98",
"tax": "3.99",
"withTax": "22.97"
}
}
],
"payments": [
{
"title": "Cash",
"type": "cash",
"amount": "50.00",
"returnAmount": "27.03",
"currency": "EUR",
"advancePayment": 0
}
],
"payouts": [
{
"title": "Cash",
"type": "cash",
"amount": "10.00",
"currency": "EUR"
}
],
"totalAmount": {
"withoutTax": "18.98",
"tax": "3.99",
"withTax": "22.97"
}
}